LINUX.ORG.RU
ФорумAdmin

xCache для PHP 5.3.18 на CentOS 5

 ,


1

1

Задача: установить xCache на VPS под CentOS.

Мои действия:

wget http://xcache.lighttpd.net/pub/Releases/3.0.0/xcache-3.0.0.tar.gz
tar -xvf xcache-3.0.0.tar.gz
cd xcache-3.0.0/
phpize
./configure --enable-xcache
make
make install

В php.ini прописал расширение. Apache перезагрузил.

Проблема:

php -v
PHP Warning:  PHP Startup: XCache: Unable to initialize module
Module compiled with module API=20060613
PHP    compiled with module API=20090626
These options need to match
 in Unknown on line 0
PHP Warning:  PHP Startup: XCache: Unable to initialize module
Module compiled with module API=20060613
PHP    compiled with module API=20090626
These options need to match
 in Unknown on line 0
PHP 5.3.18 (cli) (built: Oct 22 2012 10:46:32)
Copyright (c) 1997-2012 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2012 Zend Technologies
Дополнительная информация:
# phpize -v
Configuring for:
PHP Api Version:         20090626
Zend Module Api No:      20090626
Zend Extension Api No:   220090626
# which phpize
/usr/bin/phpize

Ответ на: комментарий от berrywizard

Я не знаю как устанавливать это :(

По-моему, проблема именно в компиляции расширения.

bumbay ()
Ответ на: комментарий от berrywizard
rpm -ivh   php-xcache-2.0.1-1.el5.pp.x86_64.rpm

warning: php-xcache-2.0.1-1.el5.pp.x86_64.rpm: Header V3 DSA signature: NOKEY, k                                       ey ID 6971f6ac
error: Failed dependencies:
        php-api = 20041225 is needed by php-xcache-2.0.1-1.el5.pp.x86_64
bumbay ()

А откуда в CentOS 5 появился PHP 5.3.18? Там же в базовом репозитарии 5.3.3. Вы его сами компилировали?

mky ★★★★★ ()
Module compiled with module API=20060613
PHP    compiled with module API=20090626

Вам PHP намекает что модуль от неправильной версии взят.

hidden_4003 ()
Ответ на: комментарий от InventoR

Я даже не представляю что там и как делается. Мне нужно было установить xCache.

bumbay ()
Ответ на: комментарий от bumbay

Вместо ответа на мой вопрос вы дали очевидный факт. Хорошо, повторю вопрос ещё раз. Откуда в вашей системе взялся php? Вы его ставили из пакета или компилировали?

mky ★★★★★ ()
Ответ на: комментарий от bumbay

php-devel это пакет для компиляции расширений для php. В centos 5 php-devel идёт для php версии 5.1.6, а у вас там что-то другое.

Лучше вспомните что именно и откуда вы ставили. Заодно посмотрите, какие пакеты php стоят в системе командой ″rpm -q -a | grep php″. У вас сейчас похоже, что php-devel стоит от другой версии, чем сам php, поэтому при компиляции xCache берётся не та версия API и получаемый модуль не загружается.

mky ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.